## e-categories

e-categories

## Synopsis

    GList*              e_categories_get_list               (void);
    void                e_categories_add                    (const char *category,
                                                             const char *unused,
                                                             const char *icon_file,
                                                             gboolean searchable);
    void                e_categories_remove                 (const char *category);
    gboolean            e_categories_exist                  (const char *category);
    const char*         e_categories_get_color_for          (const char *category);
    void                e_categories_set_color_for          (const char *category,
                                                             const char *color);
    const char*         e_categories_get_icon_file_for      (const char *category);
    void                e_categories_set_icon_file_for      (const char *category,
                                                             const char *icon_file);
    gboolean            e_categories_is_searchable          (const char *category);

## Description

## Details

### e_categories_get_list ()

    GList*              e_categories_get_list               (void);

Returns : |

### e_categories_add ()

    void                e_categories_add                    (const char *category,
                                                             const char *unused,
                                                             const char *icon_file,
                                                             gboolean searchable);

`category` : |
`unused` : |
`icon_file` : |
`searchable` : |

### e_categories_remove ()

    void                e_categories_remove                 (const char *category);

`category` : |

### e_categories_exist ()

    gboolean            e_categories_exist                  (const char *category);

`category` : |
Returns : |

### e_categories_get_color_for ()

    const char*         e_categories_get_color_for          (const char *category);

### Warning

`e_categories_get_color_for` is deprecated and should not be used in newly-written code.

`category` : |
Returns : |

### e_categories_set_color_for ()

    void                e_categories_set_color_for          (const char *category,
                                                             const char *color);

### Warning

`e_categories_set_color_for` is deprecated and should not be used in newly-written code.

`category` : |
`color` : |

### e_categories_get_icon_file_for ()

    const char*         e_categories_get_icon_file_for      (const char *category);

`category` : |
Returns : |

### e_categories_set_icon_file_for ()

    void                e_categories_set_icon_file_for      (const char *category,
                                                             const char *icon_file);

`category` : |
`icon_file` : |

### e_categories_is_searchable ()

    gboolean            e_categories_is_searchable          (const char *category);

`category` : |
Returns : |